import loottweaker.vanilla.loot.LootTables;
import loottweaker.vanilla.loot.LootTable;
import loottweaker.vanilla.loot.LootPool;
import loottweaker.vanilla.loot.Conditions;
import loottweaker.vanilla.loot.Functions;


/////////////////////////////////////////////////////////////////
//Zombie Loot Table Adjustments

//Get the Zombie loot table and store it for later use
val zombie = LootTables.getTable("minecraft:entities/zombie");

//Get main from the zombie loot table and store it for later use
val main = zombie.getPool("pool1");

//Remove Iron Ingot from "Pool1"
main.removeEntry("minecraft:iron_ingot");

//Add a new pool called "psZombieLoot" and store it for later use
val psZombieLoot = zombie.addPool("psZombieLoot", 1, 1, 1, 1);

//Drop 1-2 Iron Dust when killed by a player
psZombieLoot.addItemEntryHelper(<thermalfoundation:material> * 1, 2, 1, [], [Conditions.killedByPlayer()]);


/////////////////////////////////////////////////////////////////
//Skeleton Loot Table Adjustments

//Get the Zombie loot table and store it for later use
val skeleton = LootTables.getTable("minecraft:entities/skeleton");

//Add a new pool called "psSkelLoot" and store it for later use
val psSkelLoot = skeleton.addPool("psSkelLoot", 1, 1, 1, 1);

//Drop 1 Copper Dust when killed by a player
psSkelLoot.addItemEntryHelper(<thermalfoundation:material:64> * 1, 2, 1, [], [Conditions.killedByPlayer()]);


/////////////////////////////////////////////////////////////////
//Creeper Loot Table Adjustments

//Get the creeper loot table and store it for later use
val creeper = LootTables.getTable("minecraft:entities/creeper");

//Add a new pool called "psCreeperLoot" and store it for later use
val psCreeperLoot = creeper.addPool("psCreeperLoot", 1, 1, 1, 1);

//Drop 2 Tin Dust when killed by a player
psCreeperLoot.addItemEntryHelper(<thermalfoundation:material:65> * 1, 2, 1, [], [Conditions.killedByPlayer()]);


/////////////////////////////////////////////////////////////////
//Witch Loot Table Adjustments

//Get the Witch loot table and store it for later use
val witch = LootTables.getTable("minecraft:entities/witch");

//Get main from the witch loot table and store it for later use
val mcWitch = witch.getPool("main");

//Remove items from "main"
mcWitch.removeEntry("minecraft:redstone");
mcWitch.removeEntry("minecraft:glowstone_dust");

//Add a new pool called "psWitchLoot" and store it for later use
val psWitchLoot = witch.addPool("psWitchLoot", 1, 1, 1, 1);

//Drop 2 Tin Dust when killed by a player
psWitchLoot.addItemEntryHelper(<thermalfoundation:material:1> * 2, 2, 1, [], [Conditions.killedByPlayer()]);


/////////////////////////////////////////////////////////////////
//Tall Grass Loot Table Adjustments
vanilla.seeds.addSeed(<primal:rush_seeds>.weight(10));
vanilla.seeds.addSeed(<primal:corn_seeds>.weight(10));
vanilla.seeds.addSeed(<minecraft:pumpkin_seeds>.weight(5));
vanilla.seeds.addSeed(<actuallyadditions:item_rice_seed>.weight(10));
vanilla.seeds.addSeed(<actuallyadditions:item_canola_seed>.weight(10));
vanilla.seeds.addSeed(<actuallyadditions:item_flax_seed>.weight(10));
vanilla.seeds.addSeed(<actuallyadditions:item_coffee_seed>.weight(10));
vanilla.seeds.addSeed(<silentgems:fluffypuffseeds>.weight(10));
